Bug 161330 - [PATCH] databases/postgresql84-server: Update to 8.4.9
[PATCH] databases/postgresql84-server: Update to 8.4.9
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Palle Girgensohn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-06 12:40 UTC by Martin Matuska
Modified: 2011-10-28 17:35 UTC (History)
1 user (show)

See Also:


Attachments
postgresql-server-8.4.9.patch (7.31 KB, patch)
2011-10-06 12:40 UTC, Martin Matuska
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Matuska freebsd_committer 2011-10-06 12:40:03 UTC
- Update to 8.4.9
- Make SSL available as an option
- Make portlint happier

Removed file(s):
- files/patch-src-plperl-plperl

Port maintainer (girgen@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-10-06 12:41:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->girgen

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Eygene Ryabinkin freebsd_committer 2011-10-16 20:21:43 UTC
Martin, good day.

Could you, please, specify if the updated port was tested by you or
someone else and in what configurations (port OPTIONS, environment,
etc).

Thanks!
-- 
Eygene Ryabinkin                                        ,,,^..^,,,
[ Life's unfair - but root password helps!           | codelabs.ru ]
[ 82FE 06BC D497 C0DE 49EC  4FF0 16AF 9EAE 8152 ECFB | freebsd.org ]
Comment 3 Eygene Ryabinkin freebsd_committer 2011-10-18 09:44:35 UTC
There is a small typo in the patch: the '$(PG_GROUP}' (not paired '('
and '}') inside SUB_LIST should really read '${PG_GROUP}'.  The fixed
patch is available from
  http://codelabs.ru/fbsd/ports/postgresql/to-8.4.9.diff

I had tested the upgraded PostgreSQL at FreeBSD 7-STABLE with the
following options set,
{{{
WITH_SSL=yes
WITHOUT_PAM=yes
WITHOUT_LDAP=yes
WITHOUT_MIT_KRB5=yes
WITHOUT_HEIMDAL_KRB5=yes
WITH_OPTIMIZED_CFLAGS=yes
WITH_XML=yes
WITH_TZDATA=yes
WITHOUT_TESTS=yes
WITHOUT_DEBUG=yes
WITH_INTDATE=yes
}}}
it showed no regressions yet in our production environment.
-- 
Eygene Ryabinkin                                        ,,,^..^,,,
[ Life's unfair - but root password helps!           | codelabs.ru ]
[ 82FE 06BC D497 C0DE 49EC  4FF0 16AF 9EAE 8152 ECFB | freebsd.org ]
Comment 4 dfilter freebsd_committer 2011-10-21 21:36:20 UTC
mm          2011-10-21 20:36:06 UTC

  FreeBSD ports repository

  Modified files:
    databases/postgresql84-server Makefile 
  Log:
  Make SSL available as an option
  
  PR:             ports/161330
  Approved by:    maintainer (timeout)
  
  Revision  Changes    Path
  1.236     +12 -12    ports/databases/postgresql84-server/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2011-10-28 17:34:59 UTC
State Changed
From-To: open->closed

that was committed by mm@